Mailinglist Archive: opensuse-updates (86 mails)

< Previous Next >
openSUSE-RU-2014:0680-1: moderate: Botan: Fix unsafe Miller-Rabin test.
openSUSE Recommended Update: Botan: Fix unsafe Miller-Rabin test.
______________________________________________________________________________

Announcement ID: openSUSE-RU-2014:0680-1
Rating: moderate
References:
Affected Products:
openSUSE 13.1
openSUSE 12.3
______________________________________________________________________________

An update that has 0 recommended fixes can now be installed.

Description:

This update fixes the following issue with Botan:
- Fix a bug in primality testing introduced in 1.8.3 which caused only a
single random base, rather than a sequence of random bases, to be used
in the Miller-Rabin test. This increased the probability that a
non-prime would be accepted, for instance a 1024 bit number would be
incorrectly classed as prime with probability around 2^-40.


Patch Instructions:

To install this openSUSE Recommended Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.1:

zypper in -t patch openSUSE-2014-379

- openSUSE 12.3:

zypper in -t patch openSUSE-2014-379

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.1 (i586 x86_64):

Botan-debugsource-1.10.5-2.4.1
finch-2.10.9-4.18.1
finch-debuginfo-2.10.9-4.18.1
finch-devel-2.10.9-4.18.1
libbotan-1_10-0-1.10.5-2.4.1
libbotan-1_10-0-debuginfo-1.10.5-2.4.1
libbotan-devel-1.10.5-2.4.1
libpurple-2.10.9-4.18.1
libpurple-debuginfo-2.10.9-4.18.1
libpurple-devel-2.10.9-4.18.1
libpurple-meanwhile-2.10.9-4.18.1
libpurple-meanwhile-debuginfo-2.10.9-4.18.1
libpurple-tcl-2.10.9-4.18.1
libpurple-tcl-debuginfo-2.10.9-4.18.1
pidgin-2.10.9-4.18.1
pidgin-debuginfo-2.10.9-4.18.1
pidgin-debugsource-2.10.9-4.18.1
pidgin-devel-2.10.9-4.18.1

- openSUSE 13.1 (x86_64):

libbotan-1_10-0-32bit-1.10.5-2.4.1
libbotan-1_10-0-debuginfo-32bit-1.10.5-2.4.1
libbotan-devel-32bit-1.10.5-2.4.1

- openSUSE 13.1 (noarch):

libpurple-branding-upstream-2.10.9-4.18.1
libpurple-lang-2.10.9-4.18.1

- openSUSE 12.3 (i586 x86_64):

Botan-debugsource-1.10.3-2.4.1
libbotan-1_10-0-1.10.3-2.4.1
libbotan-1_10-0-debuginfo-1.10.3-2.4.1
libbotan-devel-1.10.3-2.4.1

- openSUSE 12.3 (x86_64):

libbotan-1_10-0-32bit-1.10.3-2.4.1
libbotan-1_10-0-debuginfo-32bit-1.10.3-2.4.1
libbotan-devel-32bit-1.10.3-2.4.1


References:



< Previous Next >
This Thread
  • No further messages